Newegg product
curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-newegg-products \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"product": "N82E16820147903"
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-newegg-products"
payload = { "product": "N82E16820147903" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({product: 'N82E16820147903'})
};
fetch('https://api.neuralverge.ai/functions/v1/run-newegg-products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "newegg_product",
"product": "N82E16820147903",
"product_id": "N82E16820147903",
"human": "# Newegg product\n\n- **Product:** N82E16820147903\n- **Proxy traffic:** 360.1 KB\n- **Title:** SAMSUNG SSD 9100 PRO 2TB, PCIe 5.0x4 M.2 2280, Seq. Read Speeds Up to 14,700MB/s, Best for AI Computing, Gaming, and Heavy Duty Workstations (MZ-VAP2T0B/AM)\n- **Brand:** SAMSUNG\n- **Price:** $398.00\n- **Rating:** 4.9/5 (1182 ratings)\n- **Availability:** In stock\n- **Sold by:** MobileMonster",
"machine": {
"product": {
"id": "N82E16820147903",
"title": "SAMSUNG SSD 9100 PRO 2TB, PCIe 5.0x4 M.2 2280, Seq. Read Speeds Up to 14,700MB/s, Best for AI Computing, Gaming, and Heavy Duty Workstations (MZ-VAP2T0B/AM)",
"url": "https://www.newegg.com/samsung-2tb-9100-pro-nvme-2-0/p/N82E16820147903",
"brand": "SAMSUNG",
"model": "MZ-VAP2T0B/AM",
"upc": "887276904900",
"price": 398,
"list_price": null,
"price_min": 398,
"price_max": 739.43,
"currency": "USD",
"rating": 4.9,
"review_count": 1182,
"condition": "New",
"availability": "In stock",
"in_stock": true,
"image": "https://c1.neweggimages.com/productimage/nb640/20-147-903-05.jpg",
"images": [
"https://c1.neweggimages.com/productimage/nb640/20-147-903-05.jpg",
"https://c1.neweggimages.com/productimage/nb640/20-147-903-10.jpg"
],
"breadcrumbs": [
"Components & Storage",
"SSD"
],
"category": "Internal SSDs",
"description": "PCIe 5.0 Performance: Supercharge your workflow and gaming with PCIe 5.0. Blazing fast speeds and next-gen power for your most demanding tasks. | Random Speed: Speed past productivity limits. With ran",
"specifications": {
"Best Seller Ranking": "#1 in Internal SSDs",
"Brand": "SAMSUNG",
"Series": "9100 PRO",
"Model": "MZ-VAP2T0B/AM",
"Device Type": "Internal Solid State Drive (SSD)",
"Used For": "Consumer",
"Form Factor": "M.2 2280",
"Capacity": "2TB",
"Memory Components": "Samsung V NAND TLC (V8)",
"Interface": "PCI-Express 5.0 x4",
"Protocol": "NVMe 2.0",
"Controller": "In-House Controller",
"Cache": "2GB LPDDR4X Intelligent TurboWrite 2.0: 482GB",
"Encryption": "Class 0 (AES 256), TCG/Opal v2.0, MS eDrive (IEEE1667)",
"Max Sequential Read": "Up to 14700 MBps",
"Max Sequential Write": "Up to 13400 MBps",
"4KB Random Read": "Up to 1,850,000 IOPS",
"4KB Random Write": "Up to 2,600,000 IOPS",
"Terabytes Written (TBW)": "1200TB",
"HeatSink": "without HeatSink",
"Power Consumption (Idle)": "4.0mW Device Sleep (L1.2)",
"Power Consumption (Active)": "8.1W / 7.9W (Read/Write)",
"Height": "2.38mm",
"Width": "22.15mm",
"Depth": "80.15mm",
"Weight": "9g",
"First Listed on Newegg": "December 11, 2025"
},
"warranty": "Parts: 5 years, Labor: 5 years",
"return_policy_days": 30,
"is_marketplace": true,
"seller": {
"id": "C0X3",
"name": "MobileMonster",
"alias": "MobileMonster",
"rating": 4.7,
"review_count": 72,
"is_top_rated": true
}
},
"proxy_traffic_bytes": 368755
},
"total_points": 5
}E-commerce & Marketplaces
Newegg product
Get one Newegg product by item number or URL: price, rating, specifications, images, offers price range and seller. Flat 5 points per successful run.
POST
/
functions
/
v1
/
run-newegg-products
Newegg product
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Item number or URL. e.g. N82E16820147903
Response
Run completed.